Revert "FIX: Detect more unsupported browsers"

Revert “FIX: Detect more unsupported browsers”

This change broke IE11 support, even with the polyfills enabled. We may need to add a WeakSet polyfill, but reverting this change for now.

This reverts commit 1cd8c6ce4caf15c4d0bd27077dcfc2592f7d1974.

diff --git a/app/assets/javascripts/browser-detect.js b/app/assets/javascripts/browser-detect.js
index 57fb1e7..bdbbc27 100644
--- a/app/assets/javascripts/browser-detect.js
+++ b/app/assets/javascripts/browser-detect.js
@@ -1,3 +1,3 @@
-if (!window.WeakMap || !window.WeakSet || !window.Promise) {
+if (!window.WeakMap || !window.Promise) {
   window.unsupportedBrowser = true;
 }

GitHub sha: 4eebbd22